List the units of measure of masterdata (tenant:trade:purchasing:read)
GET /api/trade/v1/itsp/articles/units
Module: Trade · operationId: listUnitsOfMeasure · Tag: ITSP · Auth: access token (Authorization: Bearer <accessToken>)
Responses
- 200 Units (
application/json) - 401 No valid session or bearer token (no body).
- 502 A dependent service (DMS, masterdata, a distributor) failed or is unreachable. (
application/json)
Fields of the 200 answer:
units(array of UnitOfMeasure)code(string): UN/ECE unit code (e.g.C62).isUsed(boolean): Articles in masterdata use the unit.name(string): Name (e.g.Stück).shortName(string): Short name (e.g.Stk).
Example 200 answer:
{
"units": [
{
"code": "C62",
"isUsed": true,
"name": "Stück",
"shortName": "Stk"
},
{
"code": "PK",
"isUsed": true,
"name": "Paket",
"shortName": "Pak"
},
{
"code": "HUR",
"isUsed": true,
"name": "Stunde",
"shortName": "Std"
},
{
"code": "MON",
"isUsed": true,
"name": "Monat",
"shortName": "Mon"
}
]
}
Example request
curl -X GET 'https://api.mbcom.cloud/api/trade/v1/itsp/articles/units' \
-H "Authorization: Bearer $ACCESS_TOKEN"